दिलचस्प पोस्ट
CodeIgniter url से index.php को हटाने क्या एक कंपाइलर बग है जो कि एक is_complete प्रकार के गुण के कार्यान्वयन से उत्पन्न हुआ है? टेम्पलेट में जावास्क्रिप्ट को फ्लास्क से डेटा कैसे प्राप्त कर सकता हूं? मैं Python 3.1 में स्ट्रिंग में HTML एन्टीटीज़ को कैसे अनपेक्षित करता हूं? Cassandra में विभाजन कुंजी, समग्र कुंजी और क्लस्टरिंग कुंजी के बीच का अंतर? फायरबेज क्वेरी – उस स्ट्रिंग वाले बच्चे के साथ आइटम ढूंढें JQuery के साथ छवियों को लोड करना अजगर नेस्टेड फ़ंक्शन बंद क्यों नहीं किए गए हैं? क्या लिनक्स / यूनिक्स पर बहुप्रोसेसिंग मामले में म्यूटक्स का उपयोग करना संभव है? क्या कई आदानों को पता करने के लिए कोणीय रास्ता है? अर्रे # प्रत्येक बनाम अर्रे # नक्शा AJAX के माध्यम से जावास्क्रिप्ट चर को PHP से पास करें जब किसी फ़ंक्शन पर पास किया जाता है तो सी-अर्रे का गलत आकार () मान क्यों है? एक 'git push' को पूर्ववत करना प्रॉक्सी के पीछे पीआईपी का उपयोग करना

त्रुटि: कार्य निष्पादन के लिए असफल रहा ': ऐप: परिवर्तन क्लासेसजर्म मेर्जिंगफॉरेडिबग'

अच्छा दिन। Android स्टूडियो में Google रिपॉजिटरी को अपडेट करने के बाद, मेरे पास एक समस्या है

> Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'. > com.android.build.transform.api.TransformException: java.util.zip.ZipException: duplicate entry: > android/support/v7/cardview/BuildConfig.class 

मैं एंड्रॉइड को ग्रुप एंड्रॉइड से बाहर करने की कोशिश कर रहा हूं। प्ले-सर्विस से सहायता, यह मदद नहीं कर पाया। जब मैंने अपने प्रोजेक्ट को किसी अन्य पीसी पर शुरू किया तो मैंने:

 > Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'. > com.android.build.transform.api.TransformException: java.util.zip.ZipException: duplicate entry: > android/support/annotation/AnimRes.class 

मेरी बिल्ड.ग्रॅडल:

 apply plugin: 'com.android.application' apply plugin: 'com.android.databinding' android { compileSdkVersion 23 buildToolsVersion "23.0.1" defaultConfig { applicationId "ru.alexeyk.myevents" minSdkVersion 14 targetSdkVersion 23 versionCode 16 versionName "1.121" multiDexEnabled true } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') compile('com.github.nkzawa:socket.io-client:0.4.2') { exclude group: 'org.json', module: 'json' } compile files('libs/sentry-1.1.4.jar') compile 'com.android.support:appcompat-v7:23.1.0' compile 'com.android.support:support-annotations:23.1.0' compile 'com.android.support:design:23.1.0' compile 'com.android.support:support-v4:23.1.0' compile 'com.android.support:cardview-v7:23.1.0' compile 'com.android.support:recyclerview-v7:23.1.0' compile 'com.nostra13.universalimageloader:universal-image-loader:1.9.4' compile 'com.github.machinarius:preferencefragment:0.1.2' compile 'com.edmodo:cropper:1.0.1' compile 'com.makeramen:roundedimageview:2.1.1' compile 'org.ocpsoft.prettytime:prettytime:4.0.0.Final' compile 'com.yandex.android:mobmetricalib:2.00@aar' compile 'com.google.android.gms:play-services:8.1.0' compile 'com.google.android.gms:play-services-ads:8.1.0' compile 'com.google.android.gms:play-services-analytics:8.1.0' compile 'com.google.android.gms:play-services-identity:8.1.0' compile 'com.google.android.gms:play-services-gcm:8.1.0' } 

वेब के समाधान से एकत्रित समाधान "त्रुटि: कार्य निष्पादन के लिए असफल रहा ': ऐप: परिवर्तन क्लासेसजर्म मेर्जिंगफॉरेडिबग'"

मूल परियोजना फ़ोल्डर में टर्मिनल में निष्पादित:

 ./gradlew clean 

यह मेरी मदद की

एंड्रॉइड स्टूडियो मेनू:

बिल्ड / क्लीन प्रोजेक्ट

पुरानी निर्भरताओं को अपडेट करें

उपरोक्त सभी मेरे लिए काम नहीं करते हैं क्योंकि मैं फेसबुक विज्ञापन निर्भरता का उपयोग कर रहा हूं ..

यदि कोई भी इस निर्भरता का उपयोग कर रहा है तो 'com.facebook.android:audience-network-sdk:4.16.0'

ऊपर की बजाय इस कोड को आज़माएं

 compile ('com.facebook.android:audience-network-sdk:4.16.0'){ exclude group: 'com.google.android.gms' } 

अपना सिस्टम कमांड प्रॉम्प्ट / टर्मिनल खोलें -> अपने प्रोजेक्ट फ़ोल्डर पथ (रूट प्रोजेक्ट फ़ोल्डर) पर जाएं -> निम्न कमांड निष्पादित करें: gradlew cleangradlew clean या ./gradlew clean

सुनिश्चित करें कि आपके सभी ग्रेडलीन निर्भरता एक ही संस्करण के हैं। -> उदाहरण: – आपके ऐपकंपपेट और रीसाइक्वेव्यू डिवेंन्डेंसी के संस्करण समान होने चाहिए।

-> अपनी ग्रेडेल निर्भरताओं को उसी संस्करण में बदलें जैसे: –

 compile 'com.android.support:appcompat-v7:23.4.0' compile 'com.android.support:design:23.4.0' compile 'com.android.support:recyclerview-v7:23.4.0' compile 'com.android.support:cardview-v7:23.4.0' 

-> अपनी परियोजना के पुनर्निर्माण और यह ठीक काम करेगा।

इस तरह टर्मिनल में प्रोजेक्ट रूट का प्रयोग करें : – / उपयोगकर्ता / राजनीष / डेस्कटॉप / रैंकप्रोजेक्ट / प्रोजेक्टक्लाउड

उसके बाद यह आदेश दर्ज करें ./gradlew साफ

यह काम करेगा।

स्टूडियो को अपग्रेड करने के बाद, रिपोर्ट किए गए मुद्दे का अलग कारण हो सकता है, कुछ दिन पहले भी इस मुद्दे को 'डुप्लिकेट जार' का सामना करना पड़ता है। सभी स्टैक ओवरफ्लो से मैंने सभी सुझावों की कोशिश की लेकिन मेरे लिए कुछ भी काम नहीं किया।

लेकिन यह सुनिश्चित करने के लिए है कि कुछ डुप्लिकेट जार वहां मौजूद हैं, मेरे लिए यह एक लाइब्रेरी लिब्स फ़ोल्डर के साथ-साथ प्रोजेक्ट लिब्स फ़ोल्डर में मौजूद था। इसलिए मैं प्रोजेक्ट लिब्स फ़ोल्डर से निकाल दिया क्योंकि इसे यहां आवश्यक नहीं था इसलिए स्टूडियो को अपडेट करते समय सावधान रहें, और सभी ग्रेडल त्रुटि को समझने की कोशिश करें।

मुझे यह त्रुटि मिली क्योंकि मेरे पास मेरे बिल्ड में सही लाइन नहीं थी। मैं org.apache.http.legacy.jar लाइब्रेरी का उपयोग कर रहा हूं, जिसके लिए यह आवश्यक है:

 android{ useLibrary 'org.apache.http.legacy' ... } 

तो जांच लें कि आपके पास अपनी ग्रेडल फ़ाइल में सब कुछ है जो आवश्यक है।

मैंने इस मुद्दे को "लिब्स" निर्देशिका को दोबारा जांचकर और अनावश्यक जारों को हटाने के द्वारा हल किया, भले ही उन जार मैन्युअल रूप से निर्भरता में नहीं जोड़े गए थे

देखें कि क्या उनकी डुप्लिकेट जार या निर्भरताएं इसे निकालती हैं और आपकी त्रुटि समाप्त हो जाएगी: उदाहरण: यदि आप एंड्रॉइड जोड़ते हैं: supportv4 जार और निर्भरता भी आपको त्रुटि मिलेगी, ताकि जार त्रुटि दूर हो जाएगी

मैं यह संकल्प करता हूं कि रीसाइलेव्यू-वी 7: 24.2.1 के संस्करण को बदलकर संस्करण नंबर बदल दिया जाता है। कृपया अपनी निर्भरताओं की जांच करें और उचित संस्करण संख्या का उपयोग करें।

मेरे लिए यह समस्या com.google.android.exoplayer के साथ com.facebook.android:audience-network-sdk विरोधाभासी हुई com.facebook.android:audience-network-sdk

मैंने audience-network-sdk से exoplayer लाइब्रेरी को छोड़कर समस्या को तय किया है:

 compile ('com.facebook.android:audience-network-sdk:4.24.0') { exclude group: 'com.google.android.exoplayer' }